﻿using System;
using System.ComponentModel;
using System.Windows.Forms;

namespace FanduinaV3CS
{
    public partial class FicConfigDialogTempAlarm : UserControl
    {
        //プロパティ
        public bool   IsAlarmEnable
        {
            get { return checkAlarm.Checked; }
            set { checkAlarm.Checked = value; }
        }
        public string TempName
        {
            get { return tempName.Text; }
            set { tempName.Text = value; }
        }
        public Int32  AlarmTemp
        {
            get { return Convert.ToInt32(boxAlarmTemp.Text); }
            set { boxAlarmTemp.Text = value.ToString(); }
        }
        //コンストラクタ
        public FicConfigDialogTempAlarm()
        {
            InitializeComponent();
        }
        //入力チェック
        private void boxAlarmTemp_Validating(object sender, CancelEventArgs e)
        {
            if (!NumCheck(boxAlarmTemp.Text)) boxAlarmTemp.Text = "100";
        }
        private void boxAlarmTemp_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter) boxAlarmTemp_Validating(this, null);
        }
        private bool NumCheck(string text)     //入力が0～100の数値かどうかをチェック 数値であればtrueを返す
        {
            try
            {
                Int32 i = Convert.ToInt32(text);
                if (i < 0 | i > 100)
                {
                    MessageBox.Show(Properties.Resources.ErrInputValue, Properties.Resources.ErrorMessage, MessageBoxButtons.OK, MessageBoxIcon.Error);
                    return true;
                }
                else
                {
                    return true;
                }
            }
            catch
            {
                MessageBox.Show(Properties.Resources.ErrInputNumeric, Properties.Resources.ErrorMessage, MessageBoxButtons.OK, MessageBoxIcon.Error);
                return false;
            }
        }
    }
}
