﻿using System;
using System.Windows.Forms;

namespace FanduinaV3CS
{
    public partial class FicTempInfo : UserControl
    {
        //プロパティ
        public TempDataStruct TempData
        {
            get
            {
                return tempData;
            }
            set
            {
                tempData = value;
                tempName.Text = value.TempName;
                tempValue.Text = value.TempValue.ToString("0.0");
            }
        }
        //コンストラクタ
        public FicTempInfo(Int32 FicNum, Int32 TempNum)
        {
            InitializeComponent();
            tempData.FicNum  = FicNum;
            tempData.TempNum = TempNum;
        }
        //フィールド変数
        private TempDataStruct tempData;
    }
}
